Bug 598579 - segfault in exit/__run_exit_handlers; gnome-panel-2.31.2-2.fc14.x86_64
segfault in exit/__run_exit_handlers; gnome-panel-2.31.2-2.fc14.x86_64
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-06-01 12:34 EDT by Tom London
Modified: 2015-02-17 08:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:17:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom London 2010-06-01 12:34:11 EDT
Description of problem:
I'm seeing this I think at ever shutdown:

Loaded symbols for /lib64/libbz2.so.1.0.4
Core was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003e8564c500 in ?? ()
(gdb) set pagination off
(gdb) where
#0  0x0000003e8564c500 in ?? ()
#1  0x0000003d2de36f82 in __run_exit_handlers (status=0) at exit.c:69
#2  exit (status=0) at exit.c:100
#3  0x0000003d2de1ed34 in __libc_start_main (main=0x423810 <main>, argc=1, ubp_av=0x7fffea9de468, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffea9de458) at libc-start.c:258
#4  0x0000000000423279 in _start ()
(gdb) thread apply all bt full

Thread 3 (Thread 2014):
#0  0x0000003d2dedb653 in __poll (fds=0x7f3cf8001000, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:83
        resultvar = 18446744073709551100
        oldtype = <value optimized out>
        result = <value optimized out>
#1  0x0000003d3f62cc0f in poll_func (ufds=0x7f3cf8001000, nfds=2, timeout=-1, userdata=0x298be70) at pulse/thread-mainloop.c:75
        mutex = 0x298be70
        r = -134213632
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x0000003d3f61cae6 in pa_mainloop_poll (m=0x2980290) at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x0000003d3f61dec9 in pa_mainloop_iterate (m=0x2980290, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x0000003d3f61df80 in pa_mainloop_run (m=0x2980290, retval=0x0) at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x0000003d3f62ca0b in thread (userdata=0x2993ec0) at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
#6  0x00007f3d05d83878 in internal_thread_func (userdata=0x2988d50) at pulsecore/thread-posix.c:72
        t = 0x2988d50
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003d2e207951 in start_thread (arg=0x7f3d06c00710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f3d06c00710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139900082980624, 5270086529386018198, 262766926592, 139900082981328, 0, 3, -5235128106827647594, 5285334279850554774}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003d2dee4d9d in ?? () from /lib64/libc.so.6
No symbol table info available.
#9  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1906):
#0  0x0000003d2dedb653 in __poll (fds=0x7f3d08001150, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:83
        resultvar = 18446744073709551100
        oldtype = <value optimized out>
        result = <value optimized out>
#1  0x0000003d2f640079 in g_main_context_poll (context=0x26ab390, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2904
        poll_func = 0x3d2f64d1a0 <IA__g_poll>
#2  g_main_context_iterate (context=0x26ab390, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2586
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7f3d08001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003d2f640825 in IA__g_main_loop_run (loop=0x26b8cf0) at gmain.c:2799
        self = 0x26ab470
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0000003d316a0f94 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x0000003d2f6659d4 in g_thread_create_proxy (data=0x26ab470) at gthread.c:1898
        thread = 0x26ab470
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003d2e207951 in start_thread (arg=0x7f3d10668710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f3d10668710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139900244887312, 5270086529386018198, 140737129603328, 139900244888016, 0, 3, -5235088176516696682, 5285334279850554774}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003d2dee4d9d in ?? () from /lib64/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 1905):
#0  0x0000003e8564c500 in ?? ()
No symbol table info available.
#1  0x0000003d2de36f82 in __run_exit_handlers (status=0) at exit.c:69
        atfct = 0x3e8564c500
        onfct = <value optimized out>
        cxafct = <value optimized out>
        f = <value optimized out>
#2  exit (status=0) at exit.c:100
No locals.
#3  0x0000003d2de1ed34 in __libc_start_main (main=0x423810 <main>, argc=1, ubp_av=0x7fffea9de468, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffea9de458) at libc-start.c:258
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 5270086529386018198, 4338256, 140737129604192, 0, 0, -5270109875882429034, 5285326029631518102}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#4  0x0000000000423279 in _start ()
No symbol table info available.
(gdb) 


Version-Release number of selected component (if applicable):
gnome-panel-2.31.2-2.fc14.x86_64

How reproducible:
Appears to be every shutdown

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2010-06-01 12:37:27 EDT
Believe this is the associated /var/log/messages spew:

Jun  1 08:05:24 tlondon kernel: gnome-panel[1905]: segfault at 3e8564c500 ip 0000003e8564c500 sp 00007fffea9de368 error 14 in libgnome-desktop-2.so.17.1.1.#prelink#.Brq28K (deleted)[3e85e00000+28000]

Here's an older one:

May 31 21:52:15 tlondon kernel: gnome-panel[1853]: segfault at 3e8564c500 ip 0000003e8564c500 sp 00007fffadc06778 error 14 in libgnome-desktop-2.so.17.1.1[3e85e00000+28000]
Comment 2 Tom London 2010-06-07 09:46:48 EDT
Got another one of these during shutdown:

Jun  6 21:43:04 tlondon kernel: gnome-panel[1941]: segfault at 3555e4c500 ip 0000003555e4c500 sp 00007fffaad49d48 error 14 in libgnome-desktop-2.so.17.1.1[3556600000+28000]

Here is the backtrace generated by abrt:

[New Thread 1941]
[New Thread 1942]
[New Thread 2062]
Core was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003555e4c500 in ?? ()

Thread 3 (Thread 2062):
#0  0x0000003db76db633 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 140549784866736
        resultvar = <value optimized out>
        __arg3 = 72057598332895231
        __arg1 = 140549784866736
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x000000355562cc0f in poll_func (ufds=0x7fd44c000fb0, nfds=2, timeout=-1, 
    userdata=0x183c350) at pulse/thread-mainloop.c:75
        mutex = 0x183c350
        r = 1275072432
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x000000355561cae6 in pa_mainloop_poll (m=0x183c250)
    at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x000000355561dec9 in pa_mainloop_iterate (m=0x183c250, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x000000355561df80 in pa_mainloop_run (m=0x183c250, retval=0x0)
    at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x000000355562ca0b in thread (userdata=0x1836300)
    at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 
    18446744073709551615 <repeats 15 times>}}
#6  0x00007fd453098878 in internal_thread_func (userdata=0x1849780)
    at pulsecore/thread-posix.c:72
        t = 0x1849780
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003db7a07951 in start_thread (arg=0x7fd4548b6710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fd4548b6710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140549928216336, 
    3386480929774917799, 265073793792, 140549928217040, 0, 3, 
    -3362047759642371929, 3351906510990891175}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003db76e4d7d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 1942):
#0  0x0000003db76db633 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 140549986193744
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140549986193744
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003db8e40079 in g_main_context_poll (context=0x154d380, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2904
        poll_func = 0x3db8e4d1a0 <IA__g_poll>
#2  g_main_context_iterate (context=0x154d380, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2586
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7fd458001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003db8e40825 in IA__g_main_loop_run (loop=0x155ac00) at gmain.c:2799
        self = 0x154d460
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0000003dba6a0f94 in shared_thread_func (data=<value optimized out>)
    at gdbusprivate.c:247
No locals.
#5  0x0000003db8e659d4 in g_thread_create_proxy (data=0x154d460)
    at gthread.c:1898
        thread = 0x154d460
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003db7a07951 in start_thread (arg=0x7fd45dbc3710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7fd45dbc3710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140550082410256, 
    3386480929774917799, 140736059448032, 140550082410960, 0, 3, 
    -3362067900354635609, 3351906510990891175}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003db76e4d7d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 1941):
#0  0x0000003555e4c500 in ?? ()
No symbol table info available.
#1  0x0000003db7636f62 in __run_exit_handlers (status=0) at exit.c:78
        atfct = <value optimized out>
        onfct = <value optimized out>
        cxafct = <value optimized out>
        f = <value optimized out>
#2  exit (status=0) at exit.c:100
No locals.
#3  0x0000003db761ed34 in __libc_start_main (main=0x423810 <main>, argc=1, 
    ubp_av=0x7fffaad49e48, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fffaad49e38) at libc-start.c:258
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 3386480929774917799, 
    4338256, 140736059448896, 0, 0, -3386592709568472921, 
    3351905956204009639}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 
    0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#4  0x0000000000423279 in _start ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x0000003dc3a019f0  0x0000003dc3a062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x0000003dc4204d70  0x0000003dc4213778  Yes         /usr/lib64/libICE.so.6.3.0
0x000000355660bde0  0x000000355661ffc8  Yes         /usr/lib64/libgnome-desktop-2.so.17.1.1
0x0000003dc2a11c30  0x0000003dc2a2dba8  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x0000003dc2e035f0  0x0000003dc2e0d5b8  Yes         /usr/lib64/libgnome-menu.so.2.4.6
0x0000003554e01bf0  0x0000003554e02fd8  Yes         /usr/lib64/libcanberra-gtk.so.0.1.5
0x0000003dce603280  0x0000003dce60c328  Yes         /usr/lib64/libcanberra.so.0.2.2
0x00000035532684d0  0x000000355350db08  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2101.0
0x0000003553a1daf0  0x0000003553a80d18  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2101.0
0x0000003dc02096b0  0x0000003dc02150f8  Yes         /usr/lib64/libatk-1.0.so.0.3009.1
0x0000003dba623190  0x0000003dba6bda88  Yes         /lib64/libgio-2.0.so.0.2507.0
0x0000003dbf605940  0x0000003dbf617ba8  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2101.0
0x0000003552209c50  0x000000355225b058  Yes         /usr/lib64/libcairo.so.2.10800.10
0x0000003dbde0ede0  0x0000003dbde2d768  Yes         /usr/lib64/libpango-1.0.so.0.2800.0
0x0000003dba201080  0x0000003dba201fc8  Yes         /lib64/libgmodule-2.0.so.0.2507.0
0x0000003dc1608f70  0x0000003dc16194a8  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x0000003db9a08df0  0x0000003db9a342b8  Yes         /lib64/libgobject-2.0.so.0.2507.0
0x0000003db8e157f0  0x0000003db8e9ac18  Yes         /lib64/libglib-2.0.so.0.2507.0
0x0000003db7a05690  0x0000003db7a115d8  Yes         /lib64/libpthread-2.12.90.so
0x0000003db8603ef0  0x0000003db8644008  Yes         /lib64/libm-2.12.90.so
0x000000355021de50  0x00000035502abf48  Yes         /usr/lib64/libX11.so.6.3.0
0x0000003551a01720  0x0000003551a06828  Yes         /usr/lib64/libXrandr.so.2.2.0
0x0000003db761e9a0  0x0000003db772f6e0  Yes         /lib64/libc-2.12.90.so
0x0000003dc1a014b0  0x0000003dc1a02be8  Yes         /lib64/libuuid.so.1.3.0
0x0000003dbd607650  0x0000003dbd6213c8  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.0
0x0000003552604630  0x0000003552608eb8  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.0
0x0000003dbbe0c850  0x0000003dbbe74ef8  Yes         /usr/lib64/libfreetype.so.6.4.0
0x0000003dbc605c80  0x0000003dbc61ff28  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003db9601590  0x0000003db9602a68  Yes         /lib64/libgthread-2.0.so.0.2507.0
0x0000003db8202190  0x0000003db82057d8  Yes         /lib64/librt-2.12.90.so
0x0000003555203120  0x0000003555206a98  Yes         /usr/lib64/libstartup-notification-1.so.0.0.0
0x0000003dc2627990  0x0000003dc264b6a8  Yes         /usr/lib64/libORBit-2.so.0.1.0
0x0000003dbca07090  0x0000003dbca2e4c8  Yes         /lib64/libdbus-1.so.3.4.0
0x0000003dcc201fa0  0x0000003dcc205fd8  Yes         /usr/lib64/libvorbisfile.so.3.3.2
0x0000003dca203700  0x0000003dca21a718  Yes         /usr/lib64/libvorbis.so.0.4.4
0x0000003dc86018a0  0x0000003dc8603bb8  Yes         /usr/lib64/libogg.so.0.7.0
0x0000003dcea01e30  0x0000003dcea09ca8  Yes         /usr/lib64/libtdb.so.1.2.1
0x0000003dcaa02370  0x0000003dcaa06758  Yes         /usr/lib64/libltdl.so.7.2.1
0x0000003551e01370  0x0000003551e04178  Yes         /usr/lib64/libXfixes.so.3.1.0
0x0000003550603530  0x000000355060e648  Yes         /usr/lib64/libXext.so.6.4.0
0x0000003550e018c0  0x0000003550e07f58  Yes         /usr/lib64/libXrender.so.1.3.0
0x0000003551200a20  0x0000003551201508  Yes         /usr/lib64/libXinerama.so.1.0.0
0x0000003550a01eb0  0x0000003550a0c608  Yes         /usr/lib64/libXi.so.6.1.0
0x0000003551602880  0x0000003551607688  Yes         /usr/lib64/libXcursor.so.1.0.2
0x0000003552a00b40  0x0000003552a01908  Yes         /usr/lib64/libXcomposite.so.1.0.0
0x0000003552e00a90  0x0000003552e01638  Yes         /usr/lib64/libXdamage.so.1.1.0
0x0000003db9e03910  0x0000003db9e12478  Yes         /lib64/libresolv-2.12.90.so
0x0000003db8a01e70  0x0000003db8a0e678  Yes         /lib64/libz.so.1.2.5
0x0000003db9205550  0x0000003db9214fa8  Yes         /lib64/libselinux.so.1
0x0000003dbc204830  0x0000003dbc21e7a8  Yes         /usr/lib64/libpng12.so.0.43.0
0x0000003dbda07230  0x0000003dbda51e78  Yes         /usr/lib64/libpixman-1.so.0.18.0
0x0000003db7e00de0  0x0000003db7e01998  Yes         /lib64/libdl-2.12.90.so
0x0000003db7200af0  0x0000003db7219954  Yes         /lib64/ld-2.12.90.so
0x0000003dbae08650  0x0000003dbae13898  Yes         /usr/lib64/libxcb.so.1.1.0
0x0000003dbb603b70  0x0000003dbb61ca08  Yes         /lib64/libexpat.so.1.5.2
0x0000003dcfa01160  0x0000003dcfa01b28  Yes         /usr/lib64/libxcb-aux.so.0.0.0
0x0000003dcf6018e0  0x0000003dcf601c78  Yes         /usr/lib64/libxcb-event.so.1.0.0
0x0000003dcca01690  0x0000003dcca01d38  Yes         /usr/lib64/libxcb-atom.so.1.0.0
0x0000003dbb200dd0  0x0000003dbb201b68  Yes         /usr/lib64/libXau.so.6.0.0
0x00007fd46408b160  0x00007fd464093278  Yes         /lib64/libnss_files-2.12.90.so
0x00007fd45dfd0bc0  0x00007fd45dff2818  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007fd45ddcb620  0x00007fd45ddcbe08  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007fd45dbc5f00  0x00007fd45dbc8168  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00007fd45c358aa0  0x00007fd45c371bb8  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x0000003dbaa09190  0x0000003dbaa13418  Yes         /usr/lib64/libgvfscommon.so.0.0.0
0x0000003dca602940  0x0000003dca609f58  Yes         /lib64/libudev.so.0.8.2
0x0000003dc7a00e10  0x0000003dc7a01688  Yes         /lib64/libutil-2.12.90.so
0x00007fd45c13fc00  0x00007fd45c14c128  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007fd4532b1050  0x00007fd4532b3f88  Yes         /usr/lib64/libcanberra-0.23/libcanberra-pulse.so
0x000000355560ae50  0x0000003555632398  Yes         /usr/lib64/libpulse.so.0.12.2
0x00007fd45306f460  0x00007fd45309a758  Yes         /usr/lib64/libpulsecommon-0.9.21.so
0x00007fd452e5b3b0  0x00007fd452e5e3b8  Yes         /usr/lib64/libXtst.so.6.1.0
0x0000003dc8202ee0  0x0000003dc8206a88  Yes         /lib64/libwrap.so.0.7.6
0x0000003dc7e05ec0  0x0000003dc7e48928  Yes         /usr/lib64/libsndfile.so.1.0.21
0x0000003dc8e011c0  0x0000003dc8e037e8  Yes         /usr/lib64/libasyncns.so.0.3.1
0x0000003dc9e04040  0x0000003dc9e11838  Yes         /lib64/libnsl-2.12.90.so
0x00007fd452c2be70  0x00007fd452c50e08  Yes         /usr/lib64/libFLAC.so.8.2.0
0x0000003dc72139c0  0x0000003dc7215eb8  Yes         /usr/lib64/libvorbisenc.so.2.0.7
0x00007fd45c8d73e0  0x00007fd45c8d8738  Yes         /usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
0x00007fffaadff700  0x00007fffaadffaa0  Yes         /lib/modules/2.6.34-20.fc14.x86_64/vdso/vdso.so
$1 = 0x0
$2 = 0x0
rax            0x3555e4c500	229074322688
rbx            0x3db7982300	265073206016
rcx            0x3db7982350	265073206096
rdx            0x3db7982350	265073206096
rsi            0x0	0
rdi            0x0	0
rbp            0x0	0x0
rsp            0x7fffaad49d48	0x7fffaad49d48
r8             0x10	16
r9             0x2e	46
r10            0x0	0
r11            0x0	0
r12            0x423250	4338256
r13            0x7fffaad49e40	140736059448896
r14            0x0	0
r15            0x0	0
rip            0x3555e4c500	0x3555e4c500
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.
Comment 3 Tom London 2010-06-11 09:53:49 EDT
Still seeing this (got this during shutdown again) with gnome-panel-2.31.2-2.fc14.x86_64:

Jun 10 18:12:26 tlondon kernel: gnome-panel[1968]: segfault at 312a44c500 ip 000000312a44c500 sp 00007fff51229058 error 14 in libgnome-desktop-2.so.17.1.1.#prelink#.hrXhu7 (deleted)[312a800000+28000]
Jun 10 18:12:26 tlondon abrt[2624]: file /usr/bin/gnome-panel seems to be deleted
Jun 10 18:12:27 tlondon abrt[2624]: saved core dump of pid 1968 (/usr/bin/gnome-panel) to /var/spool/abrt/ccpp-1276218747-1968.new/coredump (40796160 bytes)


Loaded symbols for /lib/modules/2.6.34-20.fc14.x86_64/vdso/vdso.so
Core was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000312a44c500 in ?? ()
(gdb) where
#0  0x000000312a44c500 in ?? ()
#1  0x0000003db7636f62 in __run_exit_handlers (status=0) at exit.c:78
#2  exit (status=0) at exit.c:100
#3  0x0000003db761ed34 in __libc_start_main (main=0x423810 <main>, argc=1, 
    ubp_av=0x7fff51229158, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fff51229148) at libc-start.c:258
#4  0x0000000000423279 in _start ()
(gdb) set pagination off
(gdb) thread apply all bt full

Thread 3 (Thread 2091):
#0  0x0000003db76db633 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 139714547945472
        resultvar = <value optimized out>
        __arg3 = 72057598332895231
        __arg1 = 139714547945472
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x00007f11da280c0f in poll_func (ufds=0x7f11d4001000, nfds=2, timeout=-1, userdata=0x1b7de70) at pulse/thread-mainloop.c:75
        mutex = 0x1b7de70
        r = -738193408
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x00007f11da270ae6 in pa_mainloop_poll (m=0x1b7dd70) at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x00007f11da271ec9 in pa_mainloop_iterate (m=0x1b7dd70, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x00007f11da271f80 in pa_mainloop_run (m=0x1b7dd70, retval=0x0) at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x00007f11da280a0b in thread (userdata=0x1b77880) at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
#6  0x0000003b12838878 in internal_thread_func (userdata=0x1b8b2a0) at pulsecore/thread-posix.c:72
        t = 0x1b8b2a0
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003db7a07951 in start_thread (arg=0x7f11dbd2c710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f11dbd2c710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139714679195408, 1322160125849656833, 265073793792, 139714679196112, 0, 3, -1406541434878403071, 1306658389807619585}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 1969):
#0  0x0000003db76db633 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 139714749272400
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 139714749272400
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003b0d8402a9 in g_main_context_poll (context=0x188a380, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2988
        poll_func = 0x3b0d84d3f0 <IA__g_poll>
#2  g_main_context_iterate (context=0x188a380, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2670
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7f11e0001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003b0d840a55 in IA__g_main_loop_run (loop=0x1897c00) at gmain.c:2883
        self = 0x188a460
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0000003b0e8a3eb4 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x0000003b0d865c24 in g_thread_create_proxy (data=0x188a460) at gthread.c:1898
        thread = 0x188a460
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003db7a07951 in start_thread (arg=0x7f11e4d71710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f11e4d71710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {139714830472976, 1322160125849656833, 140734554607088, 139714830473680, 0, 3, -1406662335523430911, 1306658389807619585}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003db76e4d7d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 1968):
#0  0x000000312a44c500 in ?? ()
No symbol table info available.
#1  0x0000003db7636f62 in __run_exit_handlers (status=0) at exit.c:78
        atfct = <value optimized out>
        onfct = <value optimized out>
        cxafct = <value optimized out>
        f = <value optimized out>
#2  exit (status=0) at exit.c:100
No locals.
#3  0x0000003db761ed34 in __libc_start_main (main=0x423810 <main>, argc=1, ubp_av=0x7fff51229158, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff51229148) at libc-start.c:258
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1322160125849656833, 4338256, 140734554607952, 0, 0, -1321837396203643391, 1306658943143271937}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#4  0x0000000000423279 in _start ()
No symbol table info available.
(gdb) 



If I grep 'libgnome-desktop' in /var/log/messages*, I get:

[root@tlondon ~]# grep libgnome-desktop /var/log/messages*
/var/log/messages:Jun  6 21:43:04 tlondon kernel: gnome-panel[1941]: segfault at 3555e4c500 ip 0000003555e4c500 sp 00007fffaad49d48 error 14 in libgnome-desktop-2.so.17.1.1[3556600000+28000]
/var/log/messages:Jun  7 19:28:29 tlondon kernel: gnome-panel[1943]: segfault at 3555e4c500 ip 0000003555e4c500 sp 00007fff3662cd78 error 14 in libgnome-desktop-2.so.17.1.1[3556600000+28000]
/var/log/messages:Jun  9 19:43:16 tlondon kernel: gnome-panel[1930]: segfault at 3b1604c500 ip 0000003b1604c500 sp 00007fffc705e9f8 error 14 in libgnome-desktop-2.so.17.1.1.#prelink#.FgRR0d (deleted)[3b16c00000+28000]
/var/log/messages:Jun 10 18:12:26 tlondon kernel: gnome-panel[1968]: segfault at 312a44c500 ip 000000312a44c500 sp 00007fff51229058 error 14 in libgnome-desktop-2.so.17.1.1.#prelink#.hrXhu7 (deleted)[312a800000+28000]
/var/log/messages-20100606:May 31 21:52:15 tlondon kernel: gnome-panel[1853]: segfault at 3e8564c500 ip 0000003e8564c500 sp 00007fffadc06778 error 14 in libgnome-desktop-2.so.17.1.1[3e85e00000+28000]
/var/log/messages-20100606:Jun  1 08:05:24 tlondon kernel: gnome-panel[1905]: segfault at 3e8564c500 ip 0000003e8564c500 sp 00007fffea9de368 error 14 in libgnome-desktop-2.so.17.1.1.#prelink#.Brq28K (deleted)[3e85e00000+28000]
/var/log/messages-20100606:Jun  1 14:08:51 tlondon kernel: gnome-panel[1929]: segfault at 3dd124c500 ip 0000003dd124c500 sp 00007fff68f58b18 error 14 in libgnome-desktop-2.so.17.1.1;4c057334 (deleted)[3dd1600000+28000]
/var/log/messages-20100606:Jun  2 21:50:35 tlondon kernel: gnome-panel[1914]: segfault at 3b1344c500 ip 0000003b1344c500 sp 00007fff05a30648 error 14 in libgnome-desktop-2.so.17.1.1[3b14000000+28000]
/var/log/messages-20100606:Jun  3 20:14:34 tlondon kernel: gnome-panel[1892]: segfault at 3b1344c500 ip 0000003b1344c500 sp 00007fff42f05108 error 14 in libgnome-desktop-2.so.17.1.1[3b14000000+28000]
/var/log/messages-20100606:Jun  5 18:02:24 tlondon kernel: gnome-panel[1932]: segfault at 364464c500 ip 000000364464c500 sp 00007fff22c73fd8 error 14 in libgnome-desktop-2.so.17.1.1.#prelink#.1aBA4I (deleted)[3b14000000+28000]
[root@tlondon ~]#
Comment 4 Tom London 2010-06-23 10:00:51 EDT
Still seeing this every logoff/shutdown with

gnome-panel-2.31.2-4.fc14.x86_64
gnome-desktop-2.31.2-3.fc14.x86_64
gnome-desktop-devel-2.31.2-3.fc14.x86_64
gnome-desktop-debuginfo-2.31.2-3.fc14.x86_64
gnome-desktop3-2.90.1-1.fc14.x86_64


Jun 22 20:02:56 tlondon kernel: gnome-panel[1891]: segfault at 3be7e4c500 ip 0000003be7e4c500 sp 00007fff227a3208 error 14 in libgnome-desktop-2.so.17.1.1[3be9200000+28000]
Jun 22 20:02:57 tlondon abrt[10908]: saved core dump of pid 1891 (/usr/bin/gnome-panel) to /var/spool/abrt/ccpp-1277262176-1891.new/coredump (27783168 bytes)


Something more I can do/provide?


Core was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
#0  0x0000003be7e4c500 in ?? ()
(gdb) set pagination off
(gdb) where
#0  0x0000003be7e4c500 in ?? ()
#1  0x0000003f36436fa2 in __run_exit_handlers (status=0) at exit.c:78
#2  exit (status=0) at exit.c:100
#3  0x0000003f3641ed74 in __libc_start_main (main=0x4237a0 <main>, argc=1, ubp_av=0x7fff227a3308, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff227a32f8) at libc-start.c:258
#4  0x0000000000423209 in _start ()
(gdb) thread apply all bt full

Thread 3 (Thread 2030):
#0  0x0000003f364db673 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 140048682979328
        resultvar = <value optimized out>
        __arg3 = 72057598332895231
        __arg1 = 140048682979328
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x000000376b82cc0f in poll_func (ufds=0x7f5fa0001000, nfds=2, timeout=-1, userdata=0x2865a40) at pulse/thread-mainloop.c:75
        mutex = 0x2865a40
        r = -1610608640
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x000000376b81cae6 in pa_mainloop_poll (m=0x2865b30) at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x000000376b81dec9 in pa_mainloop_iterate (m=0x2865b30, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x000000376b81df80 in pa_mainloop_run (m=0x2865b30, retval=0x0) at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x000000376b82ca0b in thread (userdata=0x2788bf0) at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 18446744073709551615 <repeats 15 times>}}
#6  0x000000376ac38878 in internal_thread_func (userdata=0x2872fb0) at pulsecore/thread-posix.c:72
        t = 0x2872fb0
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003f368079a1 in start_thread (arg=0x7f5faca17710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f5faca17710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140048894883600, -1645098812745320480, 271497370464, 140048894884304, 0, 3, 1699042446146926560, -1633396710737315872}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003f364e4d9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 1892):
#0  0x0000003f364db673 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 140048817197392
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140048817197392
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003bdf2402a9 in g_main_context_poll (context=0x257c680, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2988
        poll_func = 0x3bdf24d3f0 <IA__g_poll>
#2  g_main_context_iterate (context=0x257c680, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2670
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7f5fa8001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003bdf240a55 in IA__g_main_loop_run (loop=0x2589ca0) at gmain.c:2883
        self = 0x257c760
        __PRETTY_FUNCTION__ = "IA__g_main_loop_run"
#4  0x0000003be02a60e4 in shared_thread_func (data=<value optimized out>) at gdbusprivate.c:247
No locals.
#5  0x0000003bdf265c24 in g_thread_create_proxy (data=0x257c760) at gthread.c:1898
        thread = 0x257c760
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003f368079a1 in start_thread (arg=0x7f5fae967710) at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f5fae967710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140048927717136, -1645098812745320480, 140733771820960, 140048927717840, 0, 3, 1699038434647472096, -1633396710737315872}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003f364e4d9d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 1891):
#0  0x0000003be7e4c500 in ?? ()
No symbol table info available.
#1  0x0000003f36436fa2 in __run_exit_handlers (status=0) at exit.c:78
        atfct = <value optimized out>
        onfct = <value optimized out>
        cxafct = <value optimized out>
        f = <value optimized out>
#2  exit (status=0) at exit.c:100
No locals.
#3  0x0000003f3641ed74 in __libc_start_main (main=0x4237a0 <main>, argc=1, ubp_av=0x7fff227a3308, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fff227a32f8) at libc-start.c:258
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -1645098812745320480, 4338144, 140733771821824, 0, 0, 1645269260526024672, -1633395049247672352}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
#4  0x0000000000423209 in _start ()
No symbol table info available.
(gdb)
Comment 5 Tom London 2010-07-01 09:59:07 EDT
Still getting this every logout with gnome-panel-2.31.4-1.fc14.x86_64.

Someway I can help debug?


[New Thread 3428]
[New Thread 3429]
[New Thread 3568]
warning: the debug information found in "/usr/lib/debug//usr/lib64/libstdc++.so.6.0.13.debug" does not match "/usr/lib64/libstdc++.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/usr/lib64/libstdc++.so.6.0.13.debug" does not match "/usr/lib64/libstdc++.so.6" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug//lib64/libgcc_s-4.4.4-20100630.so.1.debug" does not match "/lib64/libgcc_s.so.1" (CRC mismatch).

warning: the debug information found in "/usr/lib/debug/lib64/libgcc_s-4.4.4-20100630.so.1.debug" does not match "/lib64/libgcc_s.so.1" (CRC mismatch).

Core was generated by `gnome-panel'.
Program terminated with signal 11, Segmentation fault.
#0  0x000000347104c500 in ?? ()

Thread 3 (Thread 3568):
#0  0x0000003f364db673 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 2
        _a3 = -1
        _a1 = 140219206602752
        resultvar = <value optimized out>
        __arg3 = 72057598332895231
        __arg1 = 140219206602752
        _a2 = 2
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x00000031cde2cc0f in poll_func (ufds=0x7f8754001000, nfds=2, timeout=-1, 
    userdata=0xa1c710) at pulse/thread-mainloop.c:75
        mutex = 0xa1c710
        r = 1409290240
        __func__ = "poll_func"
        __PRETTY_FUNCTION__ = "poll_func"
#2  0x00000031cde1cae6 in pa_mainloop_poll (m=0xa1c610)
    at pulse/mainloop.c:879
        __func__ = "pa_mainloop_poll"
        __PRETTY_FUNCTION__ = "pa_mainloop_poll"
#3  0x00000031cde1dec9 in pa_mainloop_iterate (m=0xa1c610, 
    block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
        r = 0
        __func__ = "pa_mainloop_iterate"
        __PRETTY_FUNCTION__ = "pa_mainloop_iterate"
#4  0x00000031cde1df80 in pa_mainloop_run (m=0xa1c610, retval=0x0)
    at pulse/mainloop.c:979
        r = <value optimized out>
#5  0x00000031cde2ca0b in thread (userdata=0x8fa490)
    at pulse/thread-mainloop.c:94
        mask = {__val = {18446744067267100671, 
    18446744073709551615 <repeats 15 times>}}
#6  0x00000031cda38878 in internal_thread_func (userdata=0xa29c80)
    at pulsecore/thread-posix.c:72
        t = 0xa29c80
        __func__ = "internal_thread_func"
        __PRETTY_FUNCTION__ = "internal_thread_func"
#7  0x0000003f368079a1 in start_thread (arg=0x7f87642e8710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f87642e8710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140219478083344, 
    8150562639552564853, 271497370464, 140219478084048, 0, 3, 
    -8209404795361309067, 8170357147096960629}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#8  0x0000003f364e4d9d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 2 (Thread 3429):
#0  0x0000003f364db673 in __poll (fds=<value optimized out>, 
    nfds=<value optimized out>, timeout=<value optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
        __arg2 = 3
        _a3 = -1
        _a1 = 140219542147408
        resultvar = <value optimized out>
        __arg3 = 4294967295
        __arg1 = 140219542147408
        _a2 = 3
        resultvar = <value optimized out>
        oldtype = 0
        result = <value optimized out>
#1  0x0000003469040379 in g_main_context_poll (context=0x72d670, block=1, 
    dispatch=1, self=<value optimized out>) at gmain.c:2988
        poll_func = 0x346904d510 <g_poll>
#2  g_main_context_iterate (context=0x72d670, block=1, dispatch=1, 
    self=<value optimized out>) at gmain.c:2670
        max_priority = 2147483647
        timeout = -1
        some_ready = <value optimized out>
        nfds = 3
        allocated_nfds = <value optimized out>
        fds = 0x7f8768001150
        __PRETTY_FUNCTION__ = "g_main_context_iterate"
#3  0x0000003469040b25 in g_main_loop_run (loop=0x73ad70) at gmain.c:2883
        self = 0x73abb0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#4  0x000000346a8a6e04 in shared_thread_func (data=<value optimized out>)
    at gdbusprivate.c:247
No locals.
#5  0x0000003469065d84 in g_thread_create_proxy (data=0x73abb0)
    at gthread.c:1898
        thread = 0x73abb0
        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
#6  0x0000003f368079a1 in start_thread (arg=0x7f876e660710)
    at pthread_create.c:301
        __res = <value optimized out>
        pd = 0x7f876e660710
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140219649492752, 
    8150562639552564853, 140736608020400, 140219649493456, 0, 3, 
    -8209427416954057099, 8170357147096960629}, mask_was_saved = 0}}, priv = {
            pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 0}}}
        not_first_call = <value optimized out>
        sp = <value optimized out>
        freesize = <value optimized out>
        __PRETTY_FUNCTION__ = "start_thread"
#7  0x0000003f364e4d9d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
No locals.

Thread 1 (Thread 3428):
#0  0x000000347104c500 in ?? ()
No symbol table info available.
#1  0x0000003f36436fa2 in __run_exit_handlers (status=0) at exit.c:78
        atfct = <value optimized out>
        onfct = <value optimized out>
        cxafct = <value optimized out>
        f = <value optimized out>
#2  exit (status=0) at exit.c:100
No locals.
#3  0x0000003f3641ed74 in __libc_start_main (main=0x424000 <main>, argc=1, 
    ubp_av=0x7fffcb872b28, init=<value optimized out>, 
    fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=
    0x7fffcb872b18) at libc-start.c:258
        result = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 8150562639552564853, 
    4340288, 140736608021280, 0, 0, -8150659322071101835, 
    8170357700736700021}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 
    0x478550, 0x7fffcb872b28}, data = {prev = 0x0, cleanup = 0x0, 
              canceltype = 4687184}}}
        not_first_call = <value optimized out>
#4  0x0000000000423a69 in _start ()
No symbol table info available.
From                To                  Syms Read   Shared Object Library
0x000000376a4019f0  0x000000376a4062a8  Yes         /usr/lib64/libSM.so.6.0.0
0x0000003f42804d70  0x0000003f42813778  Yes         /usr/lib64/libICE.so.6.3.0
0x0000003472c0bda0  0x0000003472c1ffb8  Yes         /usr/lib64/libgnome-desktop-2.so.17.1.1
0x000000346dc11c30  0x000000346dc2dba8  Yes         /usr/lib64/libgconf-2.so.4.1.5
0x000000346e8035f0  0x000000346e80d5b8  Yes         /usr/lib64/libgnome-menu.so.2.4.6
0x0000003470801c70  0x00000034708030b8  Yes         /usr/lib64/libcanberra-gtk.so.0.1.6
0x0000003568003280  0x000000356800c338  Yes         /usr/lib64/libcanberra.so.0.2.4
0x000000346cc686e0  0x000000346cf0e678  Yes         /usr/lib64/libgtk-x11-2.0.so.0.2103.0
0x000000346c81dc80  0x000000346c881178  Yes         /usr/lib64/libgdk-x11-2.0.so.0.2103.0
0x000000346c4096b0  0x000000346c4150f8  Yes         /usr/lib64/libatk-1.0.so.0.3009.1
0x000000346bc05ac0  0x000000346bc17a68  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0.2105.0
0x000000346a824900  0x000000346a8c4168  Yes         /lib64/libgio-2.0.so.0.2510.0
0x000000346c00b780  0x000000346c0863c8  Yes         /usr/lib64/libcairo.so.2.10910.0
0x000000346b40ede0  0x000000346b42d758  Yes         /usr/lib64/libpango-1.0.so.0.2800.1
0x000000346a000fe0  0x000000346a001f28  Yes         /lib64/libgmodule-2.0.so.0.2510.0
0x00007f8774f57060  0x00007f8774f678a8  Yes         /usr/lib64/libdbus-glib-1.so.2.1.0
0x0000003469809630  0x0000003469836c68  Yes         /lib64/libgobject-2.0.so.0.2510.0
0x0000003469015930  0x000000346909e018  Yes         /lib64/libglib-2.0.so.0.2510.0
0x0000003f368056e0  0x0000003f36811628  Yes         /lib64/libpthread-2.12.90.so
0x0000003f37803ef0  0x0000003f37844008  Yes         /lib64/libm-2.12.90.so
0x0000003f3a01de50  0x0000003f3a0abf48  Yes         /usr/lib64/libX11.so.6.3.0
0x0000003f3f401720  0x0000003f3f406828  Yes         /usr/lib64/libXrandr.so.2.2.0
0x0000003f3641e9e0  0x0000003f3652f700  Yes         /lib64/libc-2.12.90.so
0x00007f8774d484b0  0x00007f8774d49be8  Yes         /lib64/libuuid.so.1.3.0
0x000000346b8073c0  0x000000346b821318  Yes         /usr/lib64/libpangoft2-1.0.so.0.2800.1
0x000000346b004940  0x000000346b009478  Yes         /usr/lib64/libpangocairo-1.0.so.0.2800.1
0x0000003f3b00c850  0x0000003f3b074ef8  Yes         /usr/lib64/libfreetype.so.6.4.0
0x0000003337605c80  0x000000333761fec8  Yes         /usr/lib64/libfontconfig.so.1.4.4
0x0000003469401570  0x0000003469402a48  Yes         /lib64/libgthread-2.0.so.0.2510.0
0x0000003f37002190  0x0000003f370057d8  Yes         /lib64/librt-2.12.90.so
0x000000376d803120  0x000000376d806a98  Yes         /usr/lib64/libstartup-notification-1.so.0.0.0
0x000000346d827990  0x000000346d84b6a8  Yes         /usr/lib64/libORBit-2.so.0.1.0
0x00000031caa074f0  0x00000031caa2ff58  Yes         /lib64/libdbus-1.so.3.5.1
0x000000346ac04830  0x000000346ac1e7a8  Yes         /usr/lib64/libpng12.so.0.44.0
0x0000003f4b801fa0  0x0000003f4b805fd8  Yes         /usr/lib64/libvorbisfile.so.3.3.2
0x0000003f48003700  0x0000003f4801a718  Yes         /usr/lib64/libvorbis.so.0.4.4
0x0000003f47c018a0  0x0000003f47c03bb8  Yes         /usr/lib64/libogg.so.0.7.0
0x0000003f4b401e30  0x0000003f4b409ca8  Yes         /usr/lib64/libtdb.so.1.2.1
0x00000031cee02370  0x00000031cee06778  Yes         /usr/lib64/libltdl.so.7.2.2
0x0000003f3cc01370  0x0000003f3cc04188  Yes         /usr/lib64/libXfixes.so.3.1.0
0x0000003f3a803530  0x0000003f3a80e648  Yes         /usr/lib64/libXext.so.6.4.0
0x0000003f3c8018c0  0x0000003f3c807f48  Yes         /usr/lib64/libXrender.so.1.3.0
0x0000003f3c400a20  0x0000003f3c401508  Yes         /usr/lib64/libXinerama.so.1.0.0
0x0000003f3bc01eb0  0x0000003f3bc0c608  Yes         /usr/lib64/libXi.so.6.1.0
0x0000003f3d402880  0x0000003f3d407688  Yes         /usr/lib64/libXcursor.so.1.0.2
0x0000003f40000b40  0x0000003f40001918  Yes         /usr/lib64/libXcomposite.so.1.0.0
0x0000003f3c000a90  0x0000003f3c001648  Yes         /usr/lib64/libXdamage.so.1.1.0
0x0000003f38c03910  0x0000003f38c12478  Yes         /lib64/libresolv-2.12.90.so
0x0000003766001e70  0x000000376600e678  Yes         /lib64/libz.so.1.2.5
0x0000003f6c205610  0x0000003f6c215748  Yes         /lib64/libselinux.so.1
0x0000003f3e007230  0x0000003f3e051e78  Yes         /usr/lib64/libpixman-1.so.0.18.0
0x000000346a4563f0  0x000000346a4c33f6  Yes (*)     /usr/lib64/libstdc++.so.6
0x0000003469c02910  0x0000003469c12f48  Yes (*)     /lib64/libgcc_s.so.1
0x0000003f36c00de0  0x0000003f36c01998  Yes         /lib64/libdl-2.12.90.so
0x0000003f36000b20  0x0000003f360199a4  Yes         /lib64/ld-2.12.90.so
0x0000003f39808650  0x0000003f39813898  Yes         /usr/lib64/libxcb.so.1.1.0
0x0000003f3a403b70  0x0000003f3a41ca08  Yes         /lib64/libexpat.so.1.5.2
0x0000003f4c401160  0x0000003f4c401b28  Yes         /usr/lib64/libxcb-aux.so.0.0.0
0x0000003f4e8018e0  0x0000003f4e801c78  Yes         /usr/lib64/libxcb-event.so.1.0.0
0x0000003f4cc01690  0x0000003f4cc01d38  Yes         /usr/lib64/libxcb-atom.so.1.0.0
0x0000003f39c00dd0  0x0000003f39c01b68  Yes         /usr/lib64/libXau.so.6.0.0
0x00007f8774b28160  0x00007f8774b30278  Yes         /lib64/libnss_files-2.12.90.so
0x00007f876ea6dbc0  0x00007f876ea8f818  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
0x00007f876e868620  0x00007f876e868e08  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
0x00007f876e662fc0  0x00007f876e6651a8  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
0x00007f876cd9caa0  0x00007f876cdb5bb8  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
0x00007f876cb6a190  0x00007f876cb74418  Yes         /usr/lib64/libgvfscommon.so.0.0.0
0x0000003f71602940  0x0000003f71609f98  Yes         /lib64/libudev.so.0.8.3
0x0000003f45c00e10  0x0000003f45c01688  Yes         /lib64/libutil-2.12.90.so
0x00007f87636d7c00  0x00007f87636e4128  Yes         /usr/lib64/gio/modules/libgioremote-volume-monitor.so
0x00007f876c088050  0x00007f876c08afc8  Yes         /usr/lib64/libcanberra-0.25/libcanberra-pulse.so
0x00000031cde0ae50  0x00000031cde32398  Yes         /usr/lib64/libpulse.so.0.12.2
0x00000031cda0f460  0x00000031cda3a758  Yes         /usr/lib64/libpulsecommon-0.9.21.so
0x0000003f464013b0  0x0000003f464043b8  Yes         /usr/lib64/libXtst.so.6.1.0
0x0000003db4402ee0  0x0000003db4406a88  Yes         /lib64/libwrap.so.0.7.6
0x0000003f46005ec0  0x0000003f46048928  Yes         /usr/lib64/libsndfile.so.1.0.21
0x0000003f46e011c0  0x0000003f46e037e8  Yes         /usr/lib64/libasyncns.so.0.3.1
0x0000003f49004040  0x0000003f49011838  Yes         /lib64/libnsl-2.12.90.so
0x0000003f4540be70  0x0000003f45430e08  Yes         /usr/lib64/libFLAC.so.8.2.0
0x0000003f468139c0  0x0000003f46815eb8  Yes         /usr/lib64/libvorbisenc.so.2.0.7
(*): Shared library is missing debugging information.
$1 = 0x0
$2 = 0x0
rax            0x347104c500	225234437376
rbx            0x3f36782300	271496782592
rcx            0x3f36782390	271496782736
rdx            0x3f36782390	271496782736
rsi            0x0	0
rdi            0x0	0
rbp            0x0	0x0
rsp            0x7fffcb872a28	0x7fffcb872a28
r8             0xa0	160
r9             0x2f	47
r10            0x0	0
r11            0x0	0
r12            0x423a40	4340288
r13            0x7fffcb872b20	140736608021280
r14            0x0	0
r15            0x0	0
rip            0x347104c500	0x347104c500
eflags         0x10206	[ PF IF RF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
No function contains program counter for selected frame.
Debuginfo absent: 42fee5e5f4a1023a83b7723be8aca9f10ef82c34
Debuginfo absent: 8c20a9986b5692168b444ca92c1bba3cabe58563
Comment 6 Bug Zapper 2010-07-30 07:46:34 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Tom London 2010-09-09 11:54:43 EDT
I'm still seeing this on every logoff/shutdown with gnome-panel-2.31.90-1.fc15.x86_64

Changing this from 14->Rawhide.
Comment 8 Fedora End Of Life 2013-04-03 14:59:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Fedora End Of Life 2015-01-09 11:15:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 08:17:23 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.